"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const request_1 = __importDefault(require("./request"));
const seaFetch_1 = __importDefault(require("./seaFetch"));
const compute_1 = require("../model/compute");
class Compute {
    constructor(configuration) {
        this.url = `${configuration.values().computeEndpoint}/formations`;
        this.request = new request_1.default(configuration.identify);
    }
    create(formation) {
        return __awaiter(this, void 0, void 0, function* () {
            const payload = Object.assign(Object.assign({}, formation), { 'gateway-flight': formation.gateway_flight });
            yield this.request.send((token) => (0, seaFetch_1.default)(token).post(this.url, JSON.stringify(payload)));
        });
    }
    get(formationId) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = `${this.url}/${formationId}`;
            const result = yield this.request.send((token) => (0, seaFetch_1.default)(token).get(url));
            return (0, compute_1.toFormation)(result);
        });
    }
    delete(formationId) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = `${this.url}/${formationId}`;
            yield this.request.send((token) => (0, seaFetch_1.default)(token).delete(url));
        });
    }
    getPage() {
        return __awaiter(this, void 0, void 0, function* () {
            const result = yield this.request.send((token) => (0, seaFetch_1.default)(token).get(this.url));
            return (0, compute_1.toFormationPage)(result);
        });
    }
}
exports.default = Compute;
