"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.headers = void 0;
const headers = (auth) => ({
    Accept: 'application/json',
    'Content-Type': 'application/json',
    Authorization: `Bearer ${auth}`,
});
exports.headers = headers;
const seaFetch = (token) => ({
    get: (url) => __awaiter(void 0, void 0, void 0, function* () {
        return fetch(url, {
            method: 'GET',
            headers: (0, exports.headers)(token),
        });
    }),
    post: (url, body) => __awaiter(void 0, void 0, void 0, function* () {
        return yield fetch(url, {
            method: 'POST',
            headers: (0, exports.headers)(token),
            body,
        });
    }),
    put: (url, body) => __awaiter(void 0, void 0, void 0, function* () {
        return yield fetch(url, {
            method: 'PUT',
            headers: (0, exports.headers)(token),
            body,
        });
    }),
    delete: (url) => __awaiter(void 0, void 0, void 0, function* () {
        return fetch(url, {
            method: 'DELETE',
            headers: (0, exports.headers)(token),
        });
    }),
    patch: (url) => __awaiter(void 0, void 0, void 0, function* () {
        return fetch(url, {
            method: 'PATCH',
            headers: (0, exports.headers)(token),
        });
    }),
});
exports.default = seaFetch;
