"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToKeyValuePage = exports.mapToKeyValue = exports.mapKey = void 0;
const base64_1 = require("../utils/base64");
const mapKey = (key) => {
    if (!key) {
        return null;
    }
    return { key: (0, base64_1.decode)(key) };
};
exports.mapKey = mapKey;
const mapToKeyValue = (json) => ({
    // eslint-disable-line
    key: (0, base64_1.decode)(json.key),
    value: (0, base64_1.decode)(json.value),
});
exports.mapToKeyValue = mapToKeyValue;
const mapToKeyValuePage = (json) => ({
    // eslint-disable-line
    keyValuePairs: json.kvs.map((kv) => (0, exports.mapToKeyValue)(kv)),
    nextKey: (0, exports.mapKey)(json.next_key),
});
exports.mapToKeyValuePage = mapToKeyValuePage;
