"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToProvider = exports.Provider = void 0;
var Provider;
(function (Provider) {
    Provider["AWS"] = "AWS";
    Provider["Azure"] = "AZURE";
    Provider["DigitalOcean"] = "DIGITALOCEAN";
    Provider["Equinix"] = "EQUINIX";
    Provider["GCP"] = "GCP";
})(Provider = exports.Provider || (exports.Provider = {}));
const mapProvider = (providerString) => {
    let provider = Provider.AWS;
    switch (providerString) {
        case 'AWS': {
            provider = Provider.AWS;
            break;
        }
        case 'AZURE': {
            provider = Provider.Azure;
            break;
        }
        case 'DIGITALOCEAN': {
            provider = Provider.DigitalOcean;
            break;
        }
        case 'EQUINIX': {
            provider = Provider.Equinix;
            break;
        }
        case 'GCP': {
            provider = Provider.GCP;
            break;
        }
    }
    return provider;
};
const mapToProvider = (providers) => {
    if (!providers) {
        return [];
    }
    return providers.map((provider) => mapProvider(provider));
};
exports.mapToProvider = mapToProvider;
