"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToRegions = exports.Region = void 0;
var Region;
(function (Region) {
    Region["Asia"] = "XA";
    Region["RepublicOfChina"] = "XC";
    Region["Europe"] = "XE";
    Region["Africa"] = "XF";
    Region["NorthAmerica"] = "XN";
    Region["Oceania"] = "XO";
    Region["Antartica"] = "XQ";
    Region["SouthAmerica"] = "XS";
    Region["Uk"] = "XU";
})(Region = exports.Region || (exports.Region = {}));
const mapRegion = (regionString) => {
    let region = Region.NorthAmerica;
    switch (regionString) {
        case 'XA': {
            region = Region.Asia;
            break;
        }
        case 'XC': {
            region = Region.RepublicOfChina;
            break;
        }
        case 'XE': {
            region = Region.Europe;
            break;
        }
        case 'XF': {
            region = Region.Africa;
            break;
        }
        case 'XN': {
            region = Region.NorthAmerica;
            break;
        }
        case 'XO': {
            region = Region.Oceania;
            break;
        }
        case 'XQ': {
            region = Region.Antartica;
            break;
        }
        case 'XS': {
            region = Region.SouthAmerica;
            break;
        }
        case 'XU': {
            region = Region.Uk;
            break;
        }
    }
    return region;
};
const mapToRegions = (regions) => {
    if (!regions) {
        return [];
    }
    return regions.map((region) => mapRegion(region));
};
exports.mapToRegions = mapToRegions;
