import { Provider } from './provider';
import { Region } from './region';
import { Key } from './metadata';
export declare enum SeaplaneApi {
    Locks = "locks",
    Metadata = "config"
}
export declare enum RestrictionState {
    Enforced = "Enforced",
    Pending = "Pending"
}
export declare type RestrictionDetails = {
    regionsAllowed: Region[];
    regionsDenied: Region[];
    providersAllowed: Provider[];
    providersDenied: Provider[];
};
export declare type Restriction = {
    api: SeaplaneApi;
    directory: Key;
    details: RestrictionDetails;
    state: RestrictionState;
};
export declare type RestrictionPage = {
    restrictions: Restriction[];
    nextApi: SeaplaneApi | null;
    nextKey: Key | null;
};
export declare type LockInfo = {
    ttl: number;
    clientId: string;
    ip: string;
};
export declare const mapToRestriction: (restrictionBody: any) => Restriction;
export declare const mapToRestrictionPage: (restrictionPage: {
    restrictions: [];
    next_api: string;
    next_key: string;
}) => RestrictionPage;
//# sourceMappingURL=restrictions.d.ts.map