import Request from './request';
import seaFetch from './seaFetch';
import { toFormation, toFormationPage } from '../model/compute';
export default class Compute {
    url;
    request;
    constructor(configuration) {
        this.url = `${configuration.values().computeEndpoint}/formations`;
        this.request = new Request(configuration.identify);
    }
    async create(formation) {
        const payload = {
            ...formation,
            'gateway-flight': formation.gateway_flight,
        };
        await this.request.send((token) => seaFetch(token).post(this.url, JSON.stringify(payload)));
    }
    async get(formationId) {
        const url = `${this.url}/${formationId}`;
        const result = await this.request.send((token) => seaFetch(token).get(url));
        return toFormation(result);
    }
    async delete(formationId) {
        const url = `${this.url}/${formationId}`;
        await this.request.send((token) => seaFetch(token).delete(url));
    }
    async getPage() {
        const result = await this.request.send((token) => seaFetch(token).get(this.url));
        return toFormationPage(result);
    }
}
