export const headers = (auth) => ({
    Accept: 'application/json',
    'Content-Type': 'application/json',
    Authorization: `Bearer ${auth}`,
});
const seaFetch = (token) => ({
    get: async (url) => fetch(url, {
        method: 'GET',
        headers: headers(token),
    }),
    post: async (url, body) => await fetch(url, {
        method: 'POST',
        headers: headers(token),
        body,
    }),
    put: async (url, body) => await fetch(url, {
        method: 'PUT',
        headers: headers(token),
        body,
    }),
    delete: async (url) => fetch(url, {
        method: 'DELETE',
        headers: headers(token),
    }),
    patch: async (url) => fetch(url, {
        method: 'PATCH',
        headers: headers(token),
    }),
});
export default seaFetch;
